Mark Lead Event as read

Mark an existing lead event and all events before that as read.

Example:
To mark all events before and including the event ID "NJJQvyxvpk87NUpsm2y5Yw" as read at "2022-07-21T20:54:42+00:00", in the lead with the ID "loPSlzp6M628rzyCRPqrv3tC", send an authenticated POST request to the URL:
https://api.yelp.com/v3/leads/loPSlzp6M628rzyCRPqrv3tC/events/mark_as_read with the following request body:

{
    "event_id": "NJJQvyxvpk87NUpsm2y5Yw",
    "time_read": "2022-07-21T20:54:42+00:00"
}

For the above request, a successful POST call will return a 201 created response.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📘

This endpoint is part of the Leads API, visit Leads API to learn more.

Path Params
string
required

The Yelp Lead ID

Body Params

Request body for creating an event.

The request body of the POST /v3/leads/{lead_id}/events/mark_as_read endpoint

string
required

The encrypted id of the event which is being marked as read

date-time

An optional parameter to specify the time when the event was read. If not provided, the event is considered read at the current timestamp (Refer RFC3339 for the format)

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json